Name:           tslib
Version:        1.22
Release:    1%{?dist}
Summary:        Touchscreen Access Library
License:        LGPLv2
URL:            https://github.com/kergoth/tslib
Source0:        https://github.com/kergoth/tslib/releases/download/%{version}/tslib-%{version}.tar.bz2
Patch0:         tslib-1.22-check-pointer-before-calling-sprintf.patch
BuildRequires:  make
BuildRequires:  libtool, autoconf, automake
BuildRequires:  SDL2-devel

%description
The idea of tslib is to have a core library that provides standardised
services, and a set of plugins to manage the conversion and filtering as
needed.

The plugins for a particular touchscreen are loaded automatically by the
library under the control of a static configuration file, ts.conf.
ts.conf gives the library basic configuration information.  Each line
specifies one module, and the parameters for that module.  The modules
are loaded in order, with the first one processing the touchscreen data
first. 

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .check-pointer-before-calling-sprintf
./autogen.sh

%build
%configure --disable-static --with-sdl2
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%doc AUTHORS ChangeLog README
%license COPYING
%config(noreplace) %{_sysconfdir}/ts.conf
%{_bindir}/ts*
%{_libdir}/*.so.*
%dir %{_libdir}/ts
%{_libdir}/ts/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%files devel
%{_includedir}/tslib.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/tslib.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22-1
- initial build
